package com.ihaoin.hooloo.device.data.enums;

public enum ImageState {
    CLOSED(0, "歇业"),
    COOKING(1, "制作中"),
    COMPLETED(2, "有待取餐"),
    NOT_COMPLETED(3, "无待取餐");

    private Integer code;
    private String name;

    ImageState(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static ImageState get(Integer code) {
        for (ImageState state : ImageState.values()) {
            if (state.getCode().equals(code)) {
                return state;
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
